Loading...
Searching...
No Matches
caf::detail::tl_filter< type_list< T... >, Pred > Struct Template Reference

Create a new list containing all elements which satisfy Pred. More...

`#include <type_list.hpp>`

## Public Types

using | type

## Detailed Description

template<template< class > class Pred, class... T>
struct caf::detail::tl_filter< type_list< T... >, Pred >

Create a new list containing all elements which satisfy Pred.

## Member Typedef Documentation

## type

template<template< class > class Pred, class... T>

using caf::detail::tl_filter< type_list< T... >, Pred >::type

Initial value:
typename tl_filter_impl<
type_list<T...>,
Pred<T>::value...
>::type
caf::detail::type_list
A list of types.
Definition type_list.hpp:36

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_list.hpp